Forum Stats

  • 3,827,633 Users
  • 2,260,801 Discussions
  • 7,897,323 Comments

Discussions

How can I use applet object tag with java 1.8

user638363-Oracle
user638363-Oracle Member Posts: 19
edited Nov 16, 2015 4:39PM in Java Applet Development

I am trying to use applet object tag with java 1.8 in explorer 11 as follows:

<OBJECT classid="clsid:8AD9C840-044E-11D1-B3E9-00805F499D93"',

                                'codebase="http://java.sun.com/update/1.8.0/jinstall-8-windows-i586.cab#Version=8,0,0,0"',

                                'width="190" height="55">',                           

                                <param name="NAME" value="MyApplet">,

                                <param name="type" value="application/x-java-applet;jpi-version=1.7.0">,

                                <param name="java_version" value="1.8+">,

                                <param name="boxbgcolor" value="#165FAE" />,                      

                                <param name="embedded" value="true" />,

                         

</OBJECT>

Nothing happens, the applet is not being downloaded.

When I try to use the url from the codebase directly, I get a message the file does not exist.

How can I configure the Object tag with java version of 1.8?

I tried to use the following code for firefox and still nothing happens:

<EMBED code="#CODE#" width="190" height="55" type="application/x-java-applett;version=1.8"

        pluginspage="http://www.java.com/en/download/index.jsp"

        name="#NAME#" id="#NAME#" scriptable="#IS_SCRIPTABLE#" cache_archive="#ARCHIVE#" cache_version="#VERSION#"  java_version="1.8*"

        #APPLET_PARAMS#/>

        <NOEMBED>

            <strong>

                This browser does not have a Java Plug-in version 1.8 <br/>

            <a href="http://www.java.com/en/download/index.jsp">

                Get the latest Java Plug-in here.

            </a>

            </strong>

        </NOEMBED>

    </EMBED>

Thanks,

Orly

Answers

This discussion has been closed.